POST Request - Creating new records
3 min
POST requests allow you to insert new records into the system.
URL Format
Single record
The format to insert a single record is:
Example:
Example: Create new Incident Record
➜ ~ https POST https://sandbox.servicely.ai/v1/Incident \
ShortDescription="Test incident" \
AssignmentGroup=c0a8016c683a1d8581683ac89c54233c \
Classification=c0a805c8685e1cde81685e406ffd325f \
Requestor=4028818a3b214291013b21504a000000 \
RequestedFor=4028818a3b214291013b21504a000000
HTTP/1.1 200 OK
Content-Encoding: gzip
Content-Length: 543
Content-Type: application/json
...
Vary: Accept-Encoding, User-Agent
X-Rate-Limit-Cost: 1
X-Result-Count: 1
X-Result-More: false
X-Total-Result-Count: 1
{
"data": {
"AssignmentGroup": "c0a8016c683a1d8581683ac89c54233c",
"Classification": "c0a805c8685e1cde81685e406ffd325f",
"Closed": false,
"CreatedBy": "4028818a3b214291013b21504a000000",
"CreatedOn": "2021-06-16T11:37:02.171Z",
"FirstContactResolved": false,
"Impact": "medium",
"MajorIncident": false,
"Number": "INC0000004",
...
"Version": 2,
"WorkflowStatus": "new",
"id": "2afed7d4ce9711ebb1870242ac14001a"
}
}Errors
Records will go through validation before being updated. If the record fails validation, the service will reply with a HTTP error code of 400 and a list of reasons why the validation failed.
➜ ~ https POST https://sandbox.servicely.ai/v1/User Email="Not an email"
HTTP/1.1 400 Bad Request
Content-Length: 134
Content-Type: application/json
{
"errors": {
"request": [
"CUSTOM-40006: Error evaluating validation rule 'User - Check email address' (Unspecified)"
]
}
}